diff --git a/src/backend/bootstrap/bootscanner.l b/src/backend/bootstrap/bootscanner.l
index 89772f8..f82e0e9 100644
--- a/src/backend/bootstrap/bootscanner.l
+++ b/src/backend/bootstrap/bootscanner.l
@@ -52,6 +52,7 @@ static int	yyline = 1;			/* line number for error reporting */
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option nounput
 %option noyywrap
 %option prefix="boot_yy"
diff --git a/src/backend/parser/scan.l b/src/backend/parser/scan.l
index 99f8546..012b120 100644
--- a/src/backend/parser/scan.l
+++ b/src/backend/parser/scan.l
@@ -101,6 +101,7 @@ static unsigned char unescape_single_char(unsigned char c);
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option nounput
 %option noyywrap
 %option prefix="base_yy"
diff --git a/src/backend/utils/misc/guc-file.l b/src/backend/utils/misc/guc-file.l
index 3a4b63b..706da59 100644
--- a/src/backend/utils/misc/guc-file.l
+++ b/src/backend/utils/misc/guc-file.l
@@ -59,6 +59,7 @@ static char *GUC_scanstr(const char *s);
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option nounput
 %option noyywrap
 %option prefix="GUC_yy"
diff --git a/src/bin/psql/psqlscan.l b/src/bin/psql/psqlscan.l
index 02c7f40..965c41b 100644
--- a/src/bin/psql/psqlscan.l
+++ b/src/bin/psql/psqlscan.l
@@ -125,6 +125,7 @@ static void emit(const char *txt, int len);
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option nounput
 %option noyywrap
 
diff --git a/src/interfaces/ecpg/preproc/pgc.l b/src/interfaces/ecpg/preproc/pgc.l
index bd0a7d2..9b6feb7 100644
--- a/src/interfaces/ecpg/preproc/pgc.l
+++ b/src/interfaces/ecpg/preproc/pgc.l
@@ -76,6 +76,7 @@ static struct _if_value
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option noyywrap
 
 %option yylineno
diff --git a/src/pl/plpgsql/src/scan.l b/src/pl/plpgsql/src/scan.l
index 0ec8d53..fb9ef4b 100644
--- a/src/pl/plpgsql/src/scan.l
+++ b/src/pl/plpgsql/src/scan.l
@@ -47,6 +47,7 @@ bool plpgsql_SpaceScanned = false;
 %option 8bit
 %option never-interactive
 %option nodefault
+%option noinput
 %option nounput
 %option noyywrap
 %option prefix="plpgsql_base_yy"
